#include "test.dmp"
#include "F_Click_Menu.dm"

/*
		Here we set up the menu colors.  I used a bit of red here.
*/

f_cmenu_control
	cmenu_text_color = "#440000"
	cmenu_highlight_color = "#bb0000"
	cmenu_background_color = "#bbbbbb"


/*
		This is our menu.  Simply define the menu elements, and add whatever functionality
		you want to the cmenu_Clicked_By(client/C) proc.  Elements indented one time below
		f_click_menu will become our main menu bar.  Elements indented twice will become
		elements on the menu category above them.  Elements indented three or more times
		will become nothing.  Only the first two levels are supported.
*/

f_click_menu
	File			//File will be part of the menu bar with 'Save' 'Load' and 'Quit' as choices
		Save
			cmenu_Clicked_By(client/C)
				C << "Enter your saving code here."  //Enter saving code or call a save proc here

		Load
			cmenu_Clicked_By(client/C)
				C << "Enter your loading code here."  //Enter loading code or call a load proc here

		Quit
			cmenu_Clicked_By(client/C)
				if(alert(C, "Are you sure you want to quit?", "Quit?", "YES", "NO") == "YES")
					C << "Thanks for playing!"						// Bye!!!
					del C.mob
					del C


//		The following element will not show up in our menu, as it is not one of the first two
//		subtypes.  Notice it is f_click_menu/File/Quit/Broken.  That is three types below
//		f_click_menu, so it won't appear.  It won't break anything by being there,
//		but it won't do anything either.

			Broken
				cmenu_Clicked_By(client/C)
					C << "You can't get here!  :)"


	Options
		Set_View
			cmenu_Clicked_By(client/C)
				var/newview = input(C, "What would you like your view size to be?", "Set View") as null|anything in list(5,6,7,8,9)
				if(newview)
					C.view = newview

		Change_Icon
			cmenu_Clicked_By(client/C)
				var/icon/I = input(C, "Select a new icon", "Change Icon") as null|icon
				if(I)
					C.mob.icon = I


	Help
		Help_On
			cmenu_Clicked_By(client/C)
				C << "<b>Sorry, no help available at the moment!</b>"

		About
			cmenu_Clicked_By(client/C)
				var/HTML = "<center><b><font color = blue>F_Click_Menu</font></b></center><br><br>"
				HTML += "A simple to use menu system for your games."
				HTML += "<br><b>Created By:</b> Flick"
				HTML += "<br><b>Version:</b> 1"
				C << browse(HTML)



/*
		This is one way to change whether the client is being shown the menu system.
		You could also use a screen object button, or anything else you would like.
*/

client
	var
		menu_showing = FALSE

	verb
		Show_Menu()
			if(menu_showing)                  //	If the menu is showing
				F_Click_Menu.cmenu_Hide(src)   //	hide it and change the menu_showing
				menu_showing = FALSE           //	var to FALSE
			else                              //	If is isn't showing
				F_Click_Menu.cmenu_Show(src)   //	show it and change the menu_showing
				menu_showing = TRUE            //	var to TRUE

		Say(message as null|text)
			if(message)
				world << "<b>[src]: </b>[message]"

	New()
		..()
		world << "[src] has joined the world.\n"
		src << "<center><b>Welcome [src]!</b></center>\n"
		src << "Click the 'Show Menu' verb to see the menu system.  Click it again to hide the menu.\n"
		mob.loc = locate(5,5,1)

	Del()
		world << "[src] has left the world."
		..()


turf
	grass
		icon = 'turf.dmi'

mob
	icon = 'mob.dmi'

world
	turf = /turf/grass
